=== debian/changelog ===
rust-slog (2.4.1-1) unstable; urgency=medium

  * Package slog 2.4.1 from crates.io using debcargo 2.2.7

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 20 Oct 2018 16:25:01 +0200
