=== debian/changelog ===
rust-slog (2.5.2-1) unstable; urgency=medium

  * Package slog 2.5.2 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 23 Jul 2019 05:31:17 +0200
