=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.5.2 --all-targets --all-features
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.5.2 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-slog-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.5.2 --all-targets --features erased-serde
Depends: dh-cargo (>= 18), librust-slog+erased-serde-dev
Restrictions: allow-stderr, skip-not-installable
