## rust-slog 2.7.0

=== debian/changelog ===
rust-slog (2.7.0-1) unstable; urgency=medium

  * Team upload.
  * Package slog 2.7.0 from crates.io using debcargo 2.7.0
  * Skip test which fails to build (Closes: #1086117)

 -- Peter Michael Green <plugwash@debian.org>  Sun, 27 Oct 2024 04:50:04 +0000
