=== debian/control ===
Source: rust-slog
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/slog]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/slog
Homepage: https://github.com/slog-rs/slog
X-Cargo-Crate: slog
Rules-Requires-Root: no

Package: librust-slog-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Suggests:
 librust-slog+erased-serde-dev (= ${binary:Version})
Provides:
 librust-slog+default-dev (= ${binary:Version}),
 librust-slog+dynamic-keys-dev (= ${binary:Version}),
 librust-slog+max-level-debug-dev (= ${binary:Version}),
 librust-slog+max-level-error-dev (= ${binary:Version}),
 librust-slog+max-level-info-dev (= ${binary:Version}),
 librust-slog+max-level-off-dev (= ${binary:Version}),
 librust-slog+max-level-trace-dev (= ${binary:Version}),
 librust-slog+max-level-warn-dev (= ${binary:Version}),
 librust-slog+nothreads-dev (= ${binary:Version}),
 librust-slog+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog+release-max-level-error-dev (= ${binary:Version}),
 librust-slog+release-max-level-info-dev (= ${binary:Version}),
 librust-slog+release-max-level-off-dev (= ${binary:Version}),
 librust-slog+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog+std-dev (= ${binary:Version}),
 librust-slog-2-dev (= ${binary:Version}),
 librust-slog-2+default-dev (= ${binary:Version}),
 librust-slog-2+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+max-level-error-dev (= ${binary:Version}),
 librust-slog-2+max-level-info-dev (= ${binary:Version}),
 librust-slog-2+max-level-off-dev (= ${binary:Version}),
 librust-slog-2+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+nothreads-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2+std-dev (= ${binary:Version}),
 librust-slog-2.7-dev (= ${binary:Version}),
 librust-slog-2.7+default-dev (= ${binary:Version}),
 librust-slog-2.7+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7+nothreads-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7+std-dev (= ${binary:Version}),
 librust-slog-2.7.0-dev (= ${binary:Version}),
 librust-slog-2.7.0+default-dev (= ${binary:Version}),
 librust-slog-2.7.0+dynamic-keys-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7.0+max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7.0+nothreads-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-debug-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-error-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-info-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-off-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-trace-dev (= ${binary:Version}),
 librust-slog-2.7.0+release-max-level-warn-dev (= ${binary:Version}),
 librust-slog-2.7.0+std-dev (= ${binary:Version})
Description: Structured, extensible, composable logging - Rust source code
 Source code for Debianized Rust crate "slog"

Package: librust-slog+erased-serde-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-slog-dev (= ${binary:Version}),
 librust-erased-serde-0.3+default-dev
Provides:
 librust-slog+nested-values-dev (= ${binary:Version}),
 librust-slog-2+erased-serde-dev (= ${binary:Version}),
 librust-slog-2+nested-values-dev (= ${binary:Version}),
 librust-slog-2.7+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.7+nested-values-dev (= ${binary:Version}),
 librust-slog-2.7.0+erased-serde-dev (= ${binary:Version}),
 librust-slog-2.7.0+nested-values-dev (= ${binary:Version})
Description: Structured, extensible, composable logging - feature "erased-serde"
 This metapackage enables feature "erased-serde" for the Rust slog crate, by
 pulling in any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "nested-values" feature.
