=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --all-features
Features: test-name=rust-slog:@
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets
Features: test-name=librust-slog-dev:default
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features dynamic-keys
Features: test-name=librust-slog-dev:dynamic-keys
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_debug
Features: test-name=librust-slog-dev:max_level_debug
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_error
Features: test-name=librust-slog-dev:max_level_error
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_info
Features: test-name=librust-slog-dev:max_level_info
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_off
Features: test-name=librust-slog-dev:max_level_off
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_trace
Features: test-name=librust-slog-dev:max_level_trace
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features max_level_warn
Features: test-name=librust-slog-dev:max_level_warn
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features nothreads
Features: test-name=librust-slog-dev:nothreads
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features release_max_level_debug
Features: test-name=librust-slog-dev:release_max_level_debug
Depends: dh-cargo (>= 31), rustc:native, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test slog 2.7.0 --all-targets --no-default-features --features release_max_level_error
